%define name xvnkb
%define version 0.2.5
%define release 3mdk

Name: %{name}
Summary: A Vietnamese keyboard input for X-Window
Version: %{version}
Release: %{release}
Group: System/Internationalization
URL: http://www.visc-network.com/
Source0: http://visc-network.com/downloads/%{name}-%{version}.tar.bz2
Source1: %{name}.1
Patch0: xvnkb-0.2.5-utf8.patch.bz2
Patch1: xvnkb-0.2.5-lib64.patch.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: locales-vi
BuildRequires:	XFree86-devel

%description
xvnkb is a Vietnamese keyboard input for X-Window. It provides
an useful way for editing Vietnamese on X-Window environtment with
popular input method and charsets.

%prep
%setup -q
%patch0 -p1 -b _old
%patch1 -p1 -b .lib64

%build
#configure --spell-check --with-gtk2
CFLAGS="$RPM_OPT_FLAGS -fPIC" %configure --spell-check --lib=%{_lib}
%make && ./scripts/adjver.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 644 %{SOURCE1} -D ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1

install -m 755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{name}.so.%{version} -D $RPM_BUILD_ROOT%{_libdir}/%{name}.so.%{version}
# a symlink without version number, so we can use a single
# "LD_PRELOAD=/usr/lib/xvnkbd.so" line in .i18n files and don't care
# about updates -- pablo
ln -s %{name}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}.so
install -m 755 tools/xvnkb_ctrl $RPM_BUILD_ROOT%{_bindir}
install -m 755 scripts/xvnkb_setup.sh $RPM_BUILD_ROOT%{_bindir}
install -m 755 scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog README* TODO THANKS COPYING 
#%doc docs/en/*.html
%doc contrib/profile scripts/*.sh doc/* 
%{_bindir}/%{name}
%{_bindir}/%{name}_ctrl
%{_bindir}/%{name}_setup.sh
%{_libdir}/%{name}.so.%{version}
%{_libdir}/%{name}.so
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.5-3mdk
- lib64 fixes

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.5-2mdk
- rebuild
- cosmetics
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- quiet setup
- use %%make macro
- fix shlib-with-non-pic-code
- bzip2 P0

* Tue Oct 29 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.5-1mdk
- updated to 0.2.5 (with utf-8 support!)
- improved the spec file

* Mon Nov 12  2001 Nguyen Hung.Vu <Vu.Hung@techviet.com> 0.1.7-1mdk
-Added man page.

* Mon Nov 12  2001 Nguyen Hung.Vu <vuhung16@yahoo.com> 0.1.7-1mdk
-First rpm release.

* Tue Jun 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.3b-2mdk
- BuildRequires:	XFree86-devel

* Sat Dec 09 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-3mdk
- adapted to MDK macros and Group names

* Fri Dec  8 2000 NDQ <NDQ@iris.ltas.ulg.ac.be>
- added manpage file

* Thu Dec  7 2000 NDQ <NDQ@iris.ltas.ulg.ac.be>
- make first RPM version of xvnk-0.1.3b
